@echo off
setlocal

call Make-Settings.bat

@echo on

cd %BASE_DIR%
if exist %CONTENT%.xex         del %CONTENT%.xex
if exist %CONTENT%.xex.deflate del %CONTENT%.xex.deflate
if exist %RELEASE%.xex         del %RELEASE%.xex


%MADS% %CONTENT%.asm -o:%CONTENT%.xex -p -t:%CONTENT%.lab -l:%CONTENT%.lst
if ERRORLEVEL 1 goto :mads_error

%DEFLATE% --deflate "Platoterm.xex"
if ERRORLEVEL 1 goto :deflate_error

%MADS% %RELEASE%.asm -o:%RELEASE%.xex -p -t:%RELEASE%.lab -l:%RELEASE%.lst
if ERRORLEVEL 1 goto :mads_error
goto :eof

:deflate_error
echo ERROR: Deflate errors occurred. Check error messages above.
goto :eof


:mads_error
echo ERROR: MADS compilation errors occurred. Check error messages above.
goto :eof
